DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# PixelQueueFree

Destroy queue structure

## SYNOPSIS

`#include "dip_pixelqueue.h"`

dip_Error dip_PixelQueueFree ( queue )

## FUNCTION

Frees all data associated to `queue` and sets `queue` to 0.

## ARGUMENTS

Data type | Name | Description
`dip_PixelQueue *` | `queue` | The queue structure

## SEE ALSO

`PixelQueueNew`, `PixelHeapNew`, `StablePixelHeapNew`, `PixelQueuePush`, `PixelQueuePop`, `PixelQueueIsEmpty`